package com.theitbulls.animex;

import android.os.Bundle;
import android.view.View;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;

import androidx.annotation.Nullable;
import androidx.appcompat.app.AppCompatActivity;

public class MainActivity extends AppCompatActivity {
    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main_activity);
    }

    public void fadeIn(View view) {
        Animation animation = AnimationUtils.loadAnimation(this, R.anim.fade_in);
        view.setAnimation(animation);

        view.startAnimation(animation);
    }

    public void fadeOut(final View view) {
        Animation animation = AnimationUtils.loadAnimation(this, R.anim.fade_out);
        animation.setAnimationListener(new Animation.AnimationListener() {
            @Override
            public void onAnimationStart(Animation animation) {

            }

            @Override
            public void onAnimationEnd(Animation animation) {
                view.setAnimation(null);
            }

            @Override
            public void onAnimationRepeat(Animation animation) {

            }
        });

        view.setAnimation(animation);
        view.startAnimation(animation);
    }

    public void blink(View view) {
        Animation animation = AnimationUtils.loadAnimation(this, R.anim.blink);

        view.setAnimation(animation);
        view.startAnimation(animation);
    }

    public void zoomIn(View view) {
        Animation animation = AnimationUtils.loadAnimation(this, R.anim.zoom_in);

        view.setAnimation(animation);
        view.startAnimation(animation);
    }

    public void zoomOut(View view) {
        Animation animation = AnimationUtils.loadAnimation(this, R.anim.zoom_out);

        view.setAnimation(animation);
        view.startAnimation(animation);
    }

    public void rotate(View view) {
        Animation animation = AnimationUtils.loadAnimation(this, R.anim.rotate);

        view.setAnimation(animation);
        view.startAnimation(animation);
    }

    public void moveRight(View view) {
        Animation animation = AnimationUtils.loadAnimation(this, R.anim.move_right);

        view.setAnimation(animation);
        view.startAnimation(animation);
    }

    public void moveLeft(View view) {
        Animation animation = AnimationUtils.loadAnimation(this, R.anim.move_left);

        view.setAnimation(animation);
        view.startAnimation(animation);
    }

    public void moveUp(View view) {
        Animation animation = AnimationUtils.loadAnimation(this, R.anim.move_up);

        view.setAnimation(animation);
        view.startAnimation(animation);
    }

    public void moveDown(View view) {
        Animation animation = AnimationUtils.loadAnimation(this, R.anim.move_down);

        view.setAnimation(animation);
        view.startAnimation(animation);
    }

    public void slideUp(View view) {
        Animation animation = AnimationUtils.loadAnimation(this, R.anim.slide_up);

        view.setAnimation(animation);
        view.startAnimation(animation);
    }

    public void slideDown(View view) {
        Animation animation = AnimationUtils.loadAnimation(this, R.anim.slide_down);

        view.setAnimation(animation);
        view.startAnimation(animation);
    }

    public void bounce(View view) {
        Animation animation = AnimationUtils.loadAnimation(this, R.anim.bounce);

        view.setAnimation(animation);
        view.startAnimation(animation);
    }

    public void multiple(View view) {
        Animation animation = AnimationUtils.loadAnimation(this, R.anim.multiple);

        view.setAnimation(animation);
        view.startAnimation(animation);
    }
}
